{
  "accUserMode" : 2,
  "caption" : "学生",
  "codeName" : "studentUsr08132390CustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentUsr08132390CustomView.json",
  "name" : "studentUsr08132390CustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSDEViewCodeName" : "Usr08132390CustomView",
  "getPSDEViewId" : "8156BB5A-FC4C-4524-8361-0CA67A673086",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0813900893",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "大屏小组件展示视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "标签",
        "contentType" : "RAW",
        "contentWidth" : 250.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "RAWITEM",
        "memo" : "123",
        "name" : "static_label",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "width" : 250,
          "widthMode" : "PX"
        },
        "getPSRawItem" : {
          "caption" : "自定义按钮测试",
          "contentType" : "RAW",
          "name" : "static_label",
          "getPSRawItemParams" : [ {
            "key" : "BORDERCOLOR",
            "value" : "lightblue"
          }, {
            "key" : "COLOR",
            "value" : "white"
          }, {
            "key" : "BUTTONNAME",
            "value" : "CustomButton3"
          }, {
            "key" : "BGCOLOR",
            "value" : "lightgreen"
          } ],
          "predefinedType" : "STATIC_LABEL",
          "rawItemWidth" : 250.0,
          "renderMode" : "PARAGRAPH"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "CUSTOM",
          "pluginCode" : "CUSTOM_BTN"
        },
        "rawContent" : "自定义按钮测试",
        "rawItemWidth" : 250.0,
        "width" : 250.0,
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "3D4AF7DE-05F9-442D-9133-101C4BEB2D55",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "caption" : "学生",
      "codeName" : "Usr08132390CustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "大屏小组件展示视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "38052b2dc998143f29aed4efb8b0f00e",
  "modeltype" : "PSAPPDEVIEW"
}